﻿using SQLite;

namespace Blahblah.FlowerApp.Data;

public sealed class Constants
{
    public const string CategoryOther = "other";
    public const string EventUnknown = "unknown";

    public const string BaseUrl = "https://flower.tsanie.org";

    public const SQLiteOpenFlags SQLiteFlags =
        SQLiteOpenFlags.ReadWrite |
        SQLiteOpenFlags.Create |
        SQLiteOpenFlags.SharedCache;

    private const string dbFilename = "flowerstory.db3";
    public static string DatabasePath => Path.Combine(FileSystem.AppDataDirectory, dbFilename);
}
