﻿using Blahblah.FlowerApp.Controls;
using Blahblah.FlowerApp.Platforms.iOS.Controls;
using Microsoft.Maui.Handlers;

namespace Blahblah.FlowerApp.Handlers;

partial class WaterfallLayoutHandler : ViewHandler<WaterfallLayout, MauiWaterfallLayout>
{
    static void MapColumns(WaterfallLayoutHandler handler, WaterfallLayout layout)
    {
        handler.PlatformView?.UpdateColumns();
    }

    protected override MauiWaterfallLayout CreatePlatformView() => new MauiWaterfallLayout(VirtualView);

    protected override void ConnectHandler(MauiWaterfallLayout platformView)
    {
        base.ConnectHandler(platformView);
    }

    protected override void DisconnectHandler(MauiWaterfallLayout platformView)
    {
        platformView.Dispose();
        base.DisconnectHandler(platformView);
    }
}
