﻿using Blahblah.FlowerApp.Controls;

namespace Blahblah.FlowerApp.Handlers;

public partial class WaterfallLayoutHandler
{
    static readonly IPropertyMapper<WaterfallLayout, WaterfallLayoutHandler> PropertyMapper = new PropertyMapper<WaterfallLayout, WaterfallLayoutHandler>(ViewMapper)
    {
        [nameof(WaterfallLayout.Columns)] = MapColumns
    };

    static readonly CommandMapper<WaterfallLayout, WaterfallLayoutHandler> CommandMapper = new(ViewCommandMapper)
    {

    };

    public WaterfallLayoutHandler() : base(PropertyMapper, CommandMapper)
    {
    }
}
